> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee Bank Details

> Updates the bank details for a specific employee.



## OpenAPI

````yaml POST /api/update_bank/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/update_bank/:
    post:
      summary: Update Bank Details
      description: Updates the bank details for a specific employee.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - id
                - org_id
                - bank_details
              properties:
                id:
                  type: string
                  description: Unique identifier of the employee.
                org_id:
                  type: string
                  description: Organization identifier.
                bank_details:
                  type: object
                  required:
                    - account_number
                    - ifsc_code
                    - bank_name
                  properties:
                    account_number:
                      type: string
                      description: The employee's bank account number.
                    ifsc_code:
                      type: string
                      description: The IFSC code of the bank branch.
                    bank_name:
                      type: string
                      description: Name of the bank.
      responses:
        '200':
          description: Bank details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      account_number:
                        type: string
                        example: 5010023997645
                      ifsc_code:
                        type: string
                        example: HDFC0000001
                      bank_name:
                        type: string
                        example: HDFC Bank
        '400':
          description: Unauthorized – Source authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Source authentication failed
                  data:
                    type: string
                    example: '{{error_message}}'
        '401':
          description: Unauthorized – Invalid token
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 6944373f-67e5-4c87-bde3-a2b7f66c07af
                  message:
                    type: string
                    example: Invalid token.
                  data:
                    type: string
                    nullable: true
                    example: null
        '404':
          description: Forbidden – Invalid Employee ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 159a97ca-f7f9-4656-b38b-56e61d3c1757
                  message:
                    type: string
                    example: Invalid Employee id
                  data:
                    type: object
                    properties:
                      status:
                        type: integer
                        example: 403
                      message:
                        type: string
                        example: Employee code entered doesnot exist
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: be2915d5-fc30-4d13-bcca-3d62aefac2a0
                  message:
                    type: string
                    example: Internal Server Error
                  data:
                    type: string
                    nullable: true
                    example: null
      security:
        - TokenAuth: []
components:
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization

````